Bug 246731 - mail/mutt: Update to 1.14.2
Summary: mail/mutt: Update to 1.14.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://marc.info/?l=mutt-users&m=159...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-05-25 22:57 UTC by Derek Schrock
Modified: 2020-06-29 14:59 UTC (History)
1 user (show)

See Also:


Attachments
Update to 1.14.2 (3.25 KB, patch)
2020-05-25 22:57 UTC, Derek Schrock
dereks: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Derek Schrock 2020-05-25 22:57:30 UTC
Created attachment 214856 [details]
Update to 1.14.2

- Update to 1.14.2 [1] bug fix release

portlint: ok. 2 expected warnings.
testport: ok. 12amd64.
Comment 1 Automation User 2020-05-25 23:11:15 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/149490383
Comment 2 Fernando Apesteguía freebsd_committer 2020-05-26 08:13:49 UTC
Hi Derek,

Thanks for the patch. It builds and runs fine. I have a question though. Why is GREETING_PATCH_VERSION 1.14.1 instead of 1.14.2? I don't quite follow the meaning of that.
Comment 3 Derek Schrock 2020-05-26 12:34:39 UTC
At the time of the update 1.14.1 was the latest version.

Between now and then it appears a 1.14.2 version was crated.  However, 1.14.2 is the exact same file so leaving it 1.14.1 is fine.
Comment 4 commit-hook freebsd_committer 2020-05-26 13:10:49 UTC
A commit references this bug:

Author: fernape
Date: Tue May 26 13:10:30 UTC 2020
New revision: 536629
URL: https://svnweb.freebsd.org/changeset/ports/536629

Log:
  mail/mutt: Update to 1.14.2

  ChangeLog: http://www.mutt.org/

  PR:	246731
  Submitted by:	dereks@lifeofadishwasher.com (maintainer)

Changes:
  head/mail/mutt/Makefile
  head/mail/mutt/distinfo
  head/mail/mutt/files/patch-threadcomplete
Comment 5 Fernando Apesteguía freebsd_committer 2020-05-26 13:11:42 UTC
Committed,

Thanks!
Comment 6 commit-hook freebsd_committer 2020-06-29 14:59:12 UTC
A commit references this bug:

Author: zeising
Date: Mon Jun 29 14:58:52 UTC 2020
New revision: 540778
URL: https://svnweb.freebsd.org/changeset/ports/540778

Log:
  MFH: r530651 r534246 r535833 r536629 r538859 r540343

  This updates mail/mutt to 1.14.5

  This merges all changes to mail/mutt that have been done to FreeBSD ports
  head branch during the 2020Q2 period.  This is needed in order to update
  mail/mutt to 1.14.5 in order to fix security issues.

  mail/mutt: upgrade 1.13.4 -> 1.13.5

  - Bring back vvv quote/initials patches
  - Remove NNTP option (XML as well)
  - Update default option patches context

  PR:		245175
  Submitted by:	Derek Schrock <dereks@lifeofadishwasher.com> (maintainer)
  Relnotes:	https://marc.info/?l=mutt-users&m=158542977114051&w=2

  mail/mutt: update 1.13.5 -> 1.14.0

  - Default DEBUG option
    (very small performance impact and ~4% binary size increase)

  PR:		246270
  Submitted by:	Derek Schrock <dereks@lifeofadishwasher.com> (maintainer)
  Relnotes:	http://www.mutt.org/relnotes/1.14/

  mail/mutt: update 1.14.0 -> 1.14.1

  - Rename DEBUG option to DEBUG_LOGS
  - Add lang/perl5 deps that triggers a Muttrc rebuild
  - Make smime patch optional due to perl build deps.
  - Remove unnecessary doc patches and REINPLACE_CMD
  - Move build changing patches to make targets
  - ASPELL updates the (pre)built Muttrc to not require a rebuild

  PR:		246559
  Submitted by:	Derek Schrock <dereks@lifeofadishwasher.com> (maintainer)
  Relnotes:	https://marc.info/?l=mutt-users&m=158965668315387&w=2

  mail/mutt: Update to 1.14.2

  ChangeLog: http://www.mutt.org/

  PR:	246731
  Submitted by:	dereks@lifeofadishwasher.com (maintainer)

  mail/mutt: Update to 1.14.3

  - Update to 1.14.3
  - Muttrc removed from dist. making perl a BUILD_DEPENDS
  - manual.txt removed from dist. making lynx a DOCS_BUILD_DEPENDS
  - Remove MASTER_SITES not updated or can't connect

  PR:		247266
  Submitted by:	Derek Schrock <dereks@lifeofadishwasher.com> (maintainer)
  Relnotes:	https://marc.info/?l=mutt-users&m=159217236324614&w=2

  mail/mutt: Update to 1.14.5

  Update mail/mutt to 1.14.5, this is a security fix release, with fixes for
  CVE-2020-14093 and CVE-2020-14954

  PR:		247400
  Submitted by:	Derek Schrock
  Security:	5b397852-b1d0-11ea-a11c-4437e6ad11c4
  		29b13a34-b1d2-11ea-a11c-4437e6ad11c4

  Approved by:	ports-secteam (joenum)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/mail/mutt/Makefile
  branches/2020Q2/mail/mutt/distinfo
  branches/2020Q2/mail/mutt/files/extra-nntp-depfiles
  branches/2020Q2/mail/mutt/files/extra-patch-doc-ref
  branches/2020Q2/mail/mutt/files/extra-patch-forcebase64-nntp
  branches/2020Q2/mail/mutt/files/extra-patch-ifdef
  branches/2020Q2/mail/mutt/files/extra-patch-maildir-mtime
  branches/2020Q2/mail/mutt/files/extra-patch-maildir-mtime-nntp
  branches/2020Q2/mail/mutt/files/extra-patch-reverse_reply
  branches/2020Q2/mail/mutt/files/extra-patch-smartdate
  branches/2020Q2/mail/mutt/files/extra-smime-sender
  branches/2020Q2/mail/mutt/files/patch-Makefile.in
  branches/2020Q2/mail/mutt/files/patch-browser.c
  branches/2020Q2/mail/mutt/files/patch-contrib_Makefile.in
  branches/2020Q2/mail/mutt/files/patch-date-conditional
  branches/2020Q2/mail/mutt/files/patch-dgc-deepif
  branches/2020Q2/mail/mutt/files/patch-doc_Makefile.in
  branches/2020Q2/mail/mutt/files/patch-doc_manual.xml.head
  branches/2020Q2/mail/mutt/files/patch-muttlib.c
  branches/2020Q2/mail/mutt/files/patch-smime-sender
  branches/2020Q2/mail/mutt/files/patch-threadcomplete
  branches/2020Q2/mail/mutt/pkg-plist